#
# spec file for package toolbox
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           toolbox
Version:        1.0+git20200803.7ff20b6
Release:        lp152.mo.1.1
Summary:        Script to start a toolbox container for system debugging
License:        Apache-2.0
URL:            https://github.com/thkukuk/microos-toolbox
Source:         microos-toolbox-%{version}.tar.xz
Requires:       podman
BuildArch:      noarch

%description
On systems using transactional-update it is not really possible due to
the read-only root filesystem to install tools to analyze problems in the
currently running system, a reboot is always required. Which makes it next
to impossible to debug such problems. toolbox is a small script that launches
a container to let you bring in your favorite debugging or admin tools in
such a system. The root filesystem can be found at /media/root.

%prep
%setup -q -n microos-toolbox-%{version}

%build

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 toolbox %{buildroot}%{_bindir}/toolbox

%files
%license LICENSE
%doc README.md
%{_bindir}/toolbox

%changelog
* Mon Aug  3 2020 kukuk@suse.com
- Update to version 1.0+git20200803.7ff20b6:
  * Connect to the host's SSH agent in user toolboxes.
  * Stay in current directory, even when entering a toolbox
  * Use the toolbox name as the actual toolbox's hostname
* Wed Mar 25 2020 kukuk@suse.com
- Update to version 1.0+git20200324.dd047bc:
  * fix entering a toolbox if something changed in /dev since creation
* Mon Feb 17 2020 kukuk@suse.com
- Update to version 1.0+git20200217.cd18bfb:
  * Multiple toolboxes, with different names
  * Configure `sudo` access for an user toolbox
  * Correctly setup the user
  * Add -u|--user parameter
  * Handle arguments with 'getopt'
* Mon Oct 14 2019 kukuk@suse.com
- Update to version 1.0+git20191014.3034fbc:
  * Make default shell configureable, use /bin/bash as default
* Mon Oct  7 2019 kukuk@suse.com
- Update to version 1.0+git20191007.e038337:
  * Initial version
